Package org.apache.sling.distribution.serialization.impl.vlt

## Annotation Type VaultDistributionPackageBuilderFactory.Config

    public static @interface VaultDistributionPackageBuilderFactory.Config

### Required Element Summary

Required Elements
`String` `aclHandling`
`String` `cugHandling`
`String` `importMode`
`String` `name`
`String[]` `package_filters`
`String[]` `package_roots`
`String[]` `pathsMapping`
`String[]` `property_filters`
`String` `tempFsFolder`

### Optional Element Summary

Optional Elements
`int` `autoSaveThreshold`
`long` `cleanupDelay`
`String` `digestAlgorithm`
`int` `fileThreshold`
`org.apache.jackrabbit.vault.fs.api.IdConflictPolicy` `idConflictPolicy`
`String` `MEGA_BYTES`
`int` `monitoringQueueSize`
`boolean` `overwritePrimaryTypesOfFolders`
`boolean` `strictImport`
`String` `type`
`boolean` `useBinaryReferences`
`boolean` `useOffHeapMemory`

### Element Detail

#### name

    String name

#### importMode

    String importMode

#### aclHandling

    String aclHandling

#### cugHandling

    String cugHandling

#### package_roots

    String[] package_roots

#### package_filters

    String[] package_filters

#### property_filters

    String[] property_filters

#### tempFsFolder

    String tempFsFolder

#### pathsMapping

    String[] pathsMapping

#### type

    String type

Default:
  "jcrvlt"

#### useBinaryReferences

    boolean useBinaryReferences

Default:
  false

#### autoSaveThreshold

    int autoSaveThreshold

Default:
  -1

#### cleanupDelay

    long cleanupDelay

Default:
  60L

#### fileThreshold

    int fileThreshold

Default:
  1

#### MEGA_BYTES

    String MEGA_BYTES

Default:
  "MEGA_BYTES"

#### useOffHeapMemory

    boolean useOffHeapMemory

Default:
  false

#### digestAlgorithm

    String digestAlgorithm

Default:
  "NONE"

#### monitoringQueueSize

    int monitoringQueueSize

Default:
  0

#### strictImport

    boolean strictImport

Default:
  true

#### overwritePrimaryTypesOfFolders

    boolean overwritePrimaryTypesOfFolders

Default:
  true

#### idConflictPolicy

    org.apache.jackrabbit.vault.fs.api.IdConflictPolicy idConflictPolicy

Default:
  org.apache.jackrabbit.vault.fs.api.IdConflictPolicy.LEGACY